Get Multiple Warehouse Receiving Orders

View as Markdown
Returns a list of warehouse receiving orders with optional filtering by status, fulfillment center, purchase order number, and date range.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Query parameters

PagestringOptionalformat: "int32"
Page of WROs to get
LimitstringOptionalformat: "int32"
Number of WROs per page to request
IDsstringOptional
Comma separated list of WRO IDs to filter by
StatusesstringOptional
Comma separated list of WRO statuses to filter by
InsertStartDatedatetimeOptional
Earliest date that a WRO was created
InsertEndDatedatetimeOptional
Latest date that a WRO was created
FulfillmentCenterIdsstringOptional
Comma separated list of WRO fulfillment center IDs to filter by
PurchaseOrderNumbersstringOptional
Comma separated list of WRO PO numbers to filter by
ExternalSyncbooleanOptional

Flag to return external_sync_timestamp WROs

CompletedStartDatedatetimeOptional
Earliest date that a WRO was completed
CompletedEndDatedatetimeOptional
Latest date that a WRO was completed

Response headers

Page-Numberstring or null
Number of the current page
Total-Pagesstring or null
Total number of pages of results
Total-Countstring or null
Total number of results
Page-Sizestring or null
Number of results per page
Next-Pagestring or null
The href of the next page of results, if there is a next page

Response

Success
box_labels_uristring or null
URL to the packing slip to be included in each box shipment for this receiving order
box_packaging_typeenum or null
Allowed values:
expected_arrival_datedatetime or null
Expected date that all packages will have arrived
external_sync_timestampdatetime or null
The timestamp in UTC when a 3rd party integrator has set in our system
fulfillment_centerobject or null
Information about a fulfillment center
idinteger or null
Unique id of the warehouse receiving order
insert_datedatetime or null
Insert date of the receiving order
inventory_quantitieslist of objects or null
Inventory items and quantities within the WRO
last_updated_datedatetime or null
Last date the receiving order was updated
package_typeenum or null
Allowed values:
purchase_order_numberstring or null
Purchase order number for a receiving order
statusenum or null
status_historylist of objects or null
The history of status changes for this receiving order

Errors